#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "set.h"
#include "glva.h"


void alfclose(void){
	int i;
	
	/*** econファイル ***/
	fclose(ifp_econ);
	
	/*** u-sysファイル ***/
	for(i=1; i<=4; i++){
		fclose(ifp10_usys[i]);
	}
	
	/*** 拠出金ファイル ***/
	fclose(ifp_kyos);
	
	fclose(ifp27_tuma);
	
	/*** 支援額ファイル ***/
	fclose(ifp_sien);
	
	/*** 納付金（回収金）ファイル ***/
	fclose(ifp_nofu);
	
	/*** 報酬比例改定率ファイル ***/
	fclose(ifp_kaiteb);
	
	/*** 基礎定額改定率ファイル ***/
	if(Cutrfile1[0]=='0'){  /* 厚年先決めの場合 */
		fclose(ifp_kaitea);
	}else if(Cutrfile1[0]=='1'){  /* 国年先決めの場合 */
		fclose(ifp_kokukaite);
	}
	
	/*** 外枠−ｍファイル ***/
	if(Fpset!=9) fclose(ifp_wakum);
	
	/*** カット率累積読み込み用 ***/
	if(Cutrfile1[0]=='1' && Fpset == 8){
		fclose(ifp_bas_cuta);
	}else if(Fpset == 9){
		fclose(ifp_asys_cuta);
		fclose(ifp_asys_cutb);
	}
	
	/*** カット率ファイル結果出力用 ***/
	if(Fpset!=9){
		fclose(ofp_cuta);
		fclose(ofp_cutb);
	}
	
	/*** 収支出力用ファイル ***/
	
	for(i=0; i<=4; i++){
		fclose(ofp01_shushi[i]);
	}
	
	fclose(ofp03_summary);
	fclose(ofp_siwake);
}

